Bug 837297 - DisplayPort hotplugging does not work
DisplayPort hotplugging does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 07:54 EDT by Uros Bizjak
Modified: 2013-08-04 02:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:39:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (26.39 KB, application/x-bzip2)
2012-07-03 07:54 EDT, Uros Bizjak
no flags Details

  None (edit)
Description Uros Bizjak 2012-07-03 07:54:38 EDT
Created attachment 595943 [details]
Xorg log file

Description of problem:

When DisplayPort monitor is switched off and then on again, it doesn't bring up the picture on the monitor, but shows "no-signal" and eventually goes to sleep.

Version-Release number of selected component (if applicable):

Linux localhost 3.4.3-1.fc17.x86_64 #1 SMP Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Always.

Steps to Reproduce:
1. Boot into desktop.
2. Switch DP monitor off, then on
3. Monitor shows "no-signal" and goes to sleep.
  
Actual results:

Blank screen, no signal, monitor goes to sleep.

Expected results:

Picture after swtich on, what else.

Additional info:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon HD 5870 (Cypress) (prog-if 00 [VGA controller])
        Subsystem: Giga-byte Technology Device 21e5
        Flags: bus master, fast devsel, latency 0, IRQ 45
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at b0120000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 2000 [size=256]
        Expansion ROM at b0100000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon

[     6.180] (II) RADEON(0): EDID for output DisplayPort-0
[     6.180] (II) RADEON(0): Manufacturer: HWP  Model: 2869  Serial#: 16843009
[     6.180] (II) RADEON(0): Year: 2010  Week: 32
[     6.180] (II) RADEON(0): EDID Version: 1.4
[     6.180] (II) RADEON(0): Digital Display Input
[     6.180] (II) RADEON(0): 8 bits per channel
[     6.180] (II) RADEON(0): Digital interface is DisplayPort
[     6.180] (II) RADEON(0): Max Image Size [cm]: horiz.: 54  vert.: 35
[     6.180] (II) RADEON(0): Gamma: 2.20
[     6.180] (II) RADEON(0): DPMS capabilities: Off
[     6.180] (II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[     6.180] (II) RADEON(0): Default color space is primary color space
Comment 1 Jérôme Glisse 2012-07-03 11:23:51 EDT
What is the mark, brand and reference of the screen ?
Comment 2 Uros Bizjak 2012-07-03 11:26:28 EDT
(In reply to comment #1)
> What is the mark, brand and reference of the screen ?

It is Hewlett-Packard HP ZR24w.
Comment 3 Zach Tomkoski 2012-09-18 16:16:53 EDT
I am also getting the same results using a Radeon HD 3650 card and a Emerson brand screen ( i don't know much about this display unfortunately)
Comment 4 Fedora End Of Life 2013-07-04 00:28:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:39:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Uros Bizjak 2013-08-04 02:52:40 EDT
Just FYI, the problem is fixed in Fedora 19. I can switch the DisplayPort attached monitor off and back on, and it displays correct picture without problems.

Note You need to log in before you can comment on or make changes to this bug.